<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Compute</title>
    <script src="http://unpkg.com/vue@next"></script>
</head>
<body>
    <div id="app">
        <input type="number" v-model="celcius"> fahrenheit:
        {{ fahrenheit }}
    </div>
    <script>
        const App = {
            data() {
                return {
                    celcius: 25,
                    // fahrenheit: 0
                }
            },
            methods: {
                // convertToFahrenheit() {
                //     this.fahrenheit = 1.8 * this.celcius + 32
                // }
            },
            computed: {
                fahrenheit() {
                    return 1.8 * this.celcius + 32
                }
            }
        }
        Vue.createApp(App).mount('#app')
    </script>
</body>
</html>